package de.intevation.flys.artifacts.model.fixings;

import de.intevation.flys.artifacts.model.Parameters;

import java.util.TreeMap;

import java.io.Serializable;

public class FixResult
implements   Serializable
{
    protected Parameters parameters;
    protected DeltaWTsKM deltaWTsKM;
    protected TreeMap<Double, QW []> outliers;

    public FixResult() {
    }

    public FixResult(
        Parameters             parameters,
        DeltaWTsKM             deltaWTsKM,
        TreeMap<Double, QW []> outliers
    ) {
        this.parameters = parameters;
        this.deltaWTsKM = deltaWTsKM;
        this.outliers   = outliers;
    }

    public Parameters getParameters() {
        return parameters;
    }

    public void setParameters(Parameters parameters) {
        this.parameters = parameters;
    }

    public DeltaWTsKM getDeltaWTsKM() {
        return deltaWTsKM;
    }

    public void setDeltaWTsKM(DeltaWTsKM deltaWTsKM) {
        this.deltaWTsKM = deltaWTsKM;
    }

    public TreeMap<Double, QW []> getOutliers() {
        return outliers;
    }

    public void setOutliers(TreeMap<Double, QW []> outliers) {
        this.outliers = outliers;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
